## GgitSignature GgitSignature |

## Functions

GgitSignature * | ggit_signature_new ()
GgitSignature * | ggit_signature_new_now ()
const gchar * | ggit_signature_get_name ()
const gchar * | ggit_signature_get_email ()
GDateTime * | ggit_signature_get_time ()
GTimeZone * | ggit_signature_get_time_zone ()

## Properties

gchar * | encoding | Read / Write / Construct Only

## Types and Values

| GgitSignature

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitSignature

## Description

## Functions

### ggit_signature_new ()

    GgitSignature *
    ggit_signature_new (const gchar *name,
                        const gchar *email,
                        GDateTime *signature_time,
                        GError **error);

Creates a new GgitSignature. Name and e-mail are assumed to be in UTF-8.

#### Parameters

name | the name of the person. |
email | the email of the person. |
signature_time | the time when the action happened. |
error | a GError for error reporting, or `NULL`. |

#### Returns

a newly allocated GgitSignature or `NULL`.

[transfer full][nullable]

### ggit_signature_new_now ()

    GgitSignature *
    ggit_signature_new_now (const gchar *name,
                            const gchar *email,
                            GError **error);

Creates a new GgitSignature with a timestamp of 'now'. Name and e-mail are assumed to be in UTF-8.

#### Parameters

name | the name of the person. |
email | the email of the person. |
error | a GError for error reporting, or `NULL`. |

#### Returns

a newly allocated GgitSignature or `NULL`.

[transfer full][nullable]

### ggit_signature_get_name ()

    const gchar *
    ggit_signature_get_name (GgitSignature *signature);

Gets the name of the person.

#### Parameters

signature | a GgitSignature. |

#### Returns

the name of the person or `NULL`.

[transfer none][nullable]

### ggit_signature_get_email ()

    const gchar *
    ggit_signature_get_email (GgitSignature *signature);

Gets the email of the person.

#### Parameters

signature | a GgitSignature. |

#### Returns

the email of the person or `NULL`.

[transfer none][nullable]

### ggit_signature_get_time ()

    GDateTime *
    ggit_signature_get_time (GgitSignature *signature);

Gets the time when the action happened. Note that the time is returned in the timezone of the commit (see ggit_signature_get_time_zone).

#### Parameters

signature | a GgitSignature. |

#### Returns

the time when the action happened or `NULL`.

[transfer full][nullable]

### ggit_signature_get_time_zone ()

    GTimeZone *
    ggit_signature_get_time_zone (GgitSignature *signature);

Gets the timezone in which the action happened.

#### Parameters

signature | a GgitSignature. |

#### Returns

the timezone in which the action happened or `NULL`.

[transfer full][nullable]

## Types and Values

### GgitSignature

    typedef struct _GgitSignature GgitSignature;

Represents an action signature.

## Property Details

### The `“encoding”` property

      “encoding”                 gchar *

Encoding.

Flags: Read / Write / Construct Only

Default value: NULL